import 'package:domain/entity/form_submitted_entity.dart';
import 'package:widgets/load_state_layout.dart';

class FormNotApproveState {

  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;

  List<FormSubmittedEntity> datas; //页面列表数据

  // ===================================  Begin  ↓  ===================================

  FormNotApproveState({
    this.loadingState = LoadState.State_Loading,
    this.errorMessage,
    required this.datas,
  });

  FormNotApproveState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    bool? needShowPlaceholder,
    List<FormSubmittedEntity>? datas,
  }) {
    return FormNotApproveState(
      errorMessage: errorMessage ?? this.errorMessage,
      loadingState: loadingState ?? this.loadingState,
      datas: datas ?? this.datas,
    );
  }
}
