import 'package:domain/entity/user_me_entity.dart';
import 'package:widgets/load_state_layout.dart';

class MyHouseholdState{

  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;

  List<UserMeHouseholds> datas; //页面列表数据

  // ===================================  Begin  ↓  ===================================

  MyHouseholdState({
    this.loadingState = LoadState.State_Loading,
    this.errorMessage,
    required this.datas,
  });

  MyHouseholdState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    bool? needShowPlaceholder,
    List<UserMeHouseholds>? datas,
  }) {
    return MyHouseholdState(
      errorMessage: errorMessage ?? this.errorMessage,
      loadingState: loadingState ?? this.loadingState,
      datas: datas ?? this.datas,
    );
  }

}